#!/usr/bin/python3
# -*- coding: utf-8 -*-

import sys
import argparse

from CRFTagger import CRFTagger


parser = argparse.ArgumentParser(description='CRF tagger training program')
parser.add_argument('-l', '--learning-rate', type=float, help='learning rate of stochastic gradient descent', default=0.01)
parser.add_argument('training_data', help='file with training data')
parser.add_argument('model_file', help='file where the model will be stored')
args = parser.parse_args()

# run the tagger training
tagger = CRFTagger(args.training_data, args.learning_rate)
tagger.train()
tagger.save_parameters( args.model_file )

